org.kie.internal.task.api.model

## Interface Notification

- All Superinterfaces:
    Externalizable, Serializable
  All Known Subinterfaces:
    EmailNotification

      public interface Notification
      extends Externalizable

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.api.task.model.OrganizationalEntity>` | `getBusinessAdministrators()`
    `List<org.kie.api.task.model.I18NText>` | `getDescriptions()`
    `List<org.kie.api.task.model.I18NText>` | `getDocumentation()`
    `Long` | `getId()`
    `List<org.kie.api.task.model.I18NText>` | `getNames()`
    `NotificationType` | `getNotificationType()`
    `int` | `getPriority()`
    `List<org.kie.api.task.model.OrganizationalEntity>` | `getRecipients()`
    `List<org.kie.api.task.model.I18NText>` | `getSubjects()`
    `void` | `setBusinessAdministrators(List<org.kie.api.task.model.OrganizationalEntity> businessAdministrators)`
    `void` | `setDescriptions(List<org.kie.api.task.model.I18NText> descriptions)`
    `void` | `setDocumentation(List<org.kie.api.task.model.I18NText> documentation)`
    `void` | `setId(long id)`
    `void` | `setNames(List<org.kie.api.task.model.I18NText> names)`
    `void` | `setPriority(int priority)`
    `void` | `setRecipients(List<org.kie.api.task.model.OrganizationalEntity> recipients)`
    `void` | `setSubjects(List<org.kie.api.task.model.I18NText> subjects)`

    - ### Methods inherited from interface java.io.Externalizable

      `readExternal, writeExternal`

- - ### Method Detail

    - #### getId

          Long getId()

    - #### setId

          void setId(long id)

    - #### getNotificationType

          NotificationType getNotificationType()

    - #### getDocumentation

          List<org.kie.api.task.model.I18NText> getDocumentation()

    - #### setDocumentation

          void setDocumentation(List<org.kie.api.task.model.I18NText> documentation)

    - #### getPriority

          int getPriority()

    - #### setPriority

          void setPriority(int priority)

    - #### getRecipients

          List<org.kie.api.task.model.OrganizationalEntity> getRecipients()

    - #### setRecipients

          void setRecipients(List<org.kie.api.task.model.OrganizationalEntity> recipients)

    - #### getBusinessAdministrators

          List<org.kie.api.task.model.OrganizationalEntity> getBusinessAdministrators()

    - #### setBusinessAdministrators

          void setBusinessAdministrators(List<org.kie.api.task.model.OrganizationalEntity> businessAdministrators)

    - #### getNames

          List<org.kie.api.task.model.I18NText> getNames()

    - #### setNames

          void setNames(List<org.kie.api.task.model.I18NText> names)

    - #### getSubjects

          List<org.kie.api.task.model.I18NText> getSubjects()

    - #### setSubjects

          void setSubjects(List<org.kie.api.task.model.I18NText> subjects)

    - #### getDescriptions

          List<org.kie.api.task.model.I18NText> getDescriptions()

    - #### setDescriptions

          void setDescriptions(List<org.kie.api.task.model.I18NText> descriptions)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.